Skip to content

Update a location in the selected organization

PATCH
/v1/organizations/{organizationId}/locations/{locationId}

API key scope: inventory:write.

locationId
required
string
X-Request-Id
string

Optional client request id returned in structured errors.

Media typeapplication/json
object
name
string
Example
Main Warehouse
code
string
Example
MAIN-WH
type
string
Allowed values: warehouse store virtual
Example
warehouse
status
string
Allowed values: active archived
Example
active
addressLine1
object
Example
123 Market St
addressLine2
object
Example
Suite 400
city
object
Example
Austin
region
object
Example
TX
postalCode
object
Example
78701
countryCode
object
Example
US
metadata
object
Example
{
"timezone": "America/Chicago"
}

Location updated.

Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
name
required
string
code
required
string
type
required
string
Allowed values: warehouse store virtual
status
required
string
Allowed values: active archived
addressLine1
object
addressLine2
object
city
object
region
object
postalCode
object
countryCode
object
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"id": "33333333-3333-4333-8333-333333333333",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"name": "Main Warehouse",
"code": "MAIN-WH",
"type": "warehouse",
"status": "active",
"addressLine1": "123 Market St",
"addressLine2": null,
"city": "Austin",
"region": "TX",
"postalCode": "78701",
"countryCode": "US",
"metadata": {
"timezone": "America/Chicago"
},
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:00:00.000Z"
}

The organization has exhausted its monthly public API request quota.

The organization plan does not allow the requested action.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for active_products",
"requestId": "req_123",
"details": {
"entitlementKey": "active_products",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "100",
"used": "100",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}